package jp.mosp.payroll.bonus.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class PmBasisDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	// フィールド
	private String				kCode;										// 社員コード
	private String				kName;										// 社員氏名
	private String				kKana;										// 社員ﾌﾘｶﾞﾅ
	private String				stationCode;								// 所属コード
	private String				positionCode;								// 職位コード
	private String				employmentType;							// 雇用区分
	private Date				entranceDate;								// 入社日
	private Date				appointmentDate;							// 登用日
	private Date				retirementDate;							// 退社日
																			
	private String				missingInput;								// 集計月未入力
	private String				changing;									// 変更内容
																			
	
	/**
	 * コンストラクタ
	 */
	public PmBasisDto() {
		super();
	}
	
	/**
	 * コンストラクタ
	 */
	public PmBasisDto(PhBasisDto dto) {
		super();
		kCode = dto.getKCode(); // 社員コード
		kName = dto.getKName(); // 社員氏名
		kKana = dto.getKKana(); // 社員ﾌﾘｶﾞﾅ
		stationCode = dto.getStationCode(); // 所属コード
		positionCode = dto.getPositionCode(); // 職位コード
		employmentType = dto.getEmploymentType(); // 雇用区分
		entranceDate = dto.getEntranceDate(); // 入社日
		appointmentDate = dto.getAppointmentDate(); // 登用日
		retirementDate = dto.getRetirementDate(); // 退社日
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public String getKName() {
		return kName;
	} // 社員氏名
	
	public String getKKana() {
		return kKana;
	} // 社員ﾌﾘｶﾞﾅ
	
	public String getStationCode() {
		return stationCode;
	} // 所属コード
	
	public String getPositionCode() {
		return positionCode;
	} // 職位コード
	
	public String getEmploymentType() {
		return employmentType;
	} // 雇用区分
	
	public Date getEntranceDate() {
		return getDateField(entranceDate);
	} // 入社日
	
	public Date getAppointmentDate() {
		return getDateField(appointmentDate);
	} // 登用日
	
	public Date getRetirementDate() {
		return getDateField(retirementDate);
	} // 退社日
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員氏名
	
	public void setKKana(String kKana) {
		this.kKana = kKana;
	} // 社員ﾌﾘｶﾞﾅ
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 所属コード
	
	public void setPositionCode(String positionCode) {
		this.positionCode = positionCode;
	} // 職位コード
	
	public void setEmploymentType(String employmentType) {
		this.employmentType = employmentType;
	} // 雇用形態
	
	public void setEntranceDate(Date entranceDate) {
		this.entranceDate = getDateField(entranceDate);
	} // 入社日
	
	public void setAppointmentDate(Date appointmentDate) {
		this.appointmentDate = getDateField(appointmentDate);
	} // 登用日
	
	public void setRetirementDate(Date retirementDate) {
		this.retirementDate = getDateField(retirementDate);
	} // 退社日
	
	public String getMissingInput() {
		return missingInput;
	}
	
	public void setMissingInput(String missingInput) {
		this.missingInput = missingInput;
	}
	
	public String getChanging() {
		return changing;
	} // 変更内容
	
	public void setChanging(String changing) {
		this.changing = changing;
	} // 変更内容
	
}
